 <?php
 session_start();
 
  include("../includes/conect.php");
  include("../includes/timezone.php");
  
  if(isset($_POST['btn_send'])){		  
			
	if(trim($_POST['code']) != ""){

		$code = $_POST['code']; 

		$result = mysqli_query($conexion, 'SELECT * FROM usuario_area WHERE idocupante=\''.$code.'\'');
		$row = mysqli_fetch_array($result);

		 // Existencia de datos en reserva_area
		 if(mysqli_num_rows($result) > 0) {

		 	if($row['estado'] == 0){
		 		header('location:../index.php?noactiv=yes');
		 		exit;
		 	}

		 	if($row['tipo'] == 4){
		 		$_SESSION['k_name'] = $row['nombres'];	
				$_SESSION['k_ape'] = $row['apellidos'];				
				$_SESSION['k_id'] = $row['idocupante'];				
				$_SESSION['k_access'] = $row['access'];				
				$_SESSION['k_id_table'] = $row['id_table_ocup'];		
				$_SESSION['k_correo'] = $row['email'];
				$_SESSION['k_code'] = $row['codigo_nucleo'];
				$_SESSION['k_code_reserva'] = $row['code_reserva'];
				$_SESSION['k_edad'] = $row['edad'];
				$_SESSION['k_code_ocupacion'] = $row['tipo'];

				// acceso de acuerdo al rol
				$_SESSION['k_ocupacion'] = $row['tipo'];
				header('location:../dashboard.php');
		 	}

		 	/* comprobación -- agregar los que son de tipo administrativo*/
		 	$query_search_id = 'SELECT checkin.id_tabla, checkin.fecha_checkout as fecha_checkout,  checkin.fecha_checkin as fecha_checkin, checkin.hora_checkin as hora_checkin, checkin.ocupacion as tipoc, huesped.edad as edad, checkin.id as idocupante, reserva.num_apto as code_reserva, checkin.nombre_uno as nombre_uno, checkin.nombre_dos as nombre_dos, checkin.apellido_uno as apellido_uno, checkin.apellido_dos as apellido_dos, reserva.id_consecutivo as codigo_nucleo, reserva.num_apto as user_apto FROM checkin INNER JOIN reserva on checkin.consecutivo = reserva.id_consecutivo inner join huesped on checkin.id = huesped.id where checkin.id=\''.$code.'\' order by checkin.id_tabla desc limit 1';


					    if (!$result_ide = mysqli_query($conexion, $query_search_id)) {
					        exit(mysqli_error("111".$conexion));
					        echo 3;	
							header('location:../index.php?error=error');
					    } else{ 

		    			// si el usuario existe en checkin
			    		if(mysqli_num_rows($result_ide) > 0) { 
					    	  
				    	$row_find = mysqli_fetch_array($result_ide);

				    	$firstDate = new DateTime($row_find['fecha_checkout']);
						$secondDate = new DateTime(date("Y-m-d"));
						    	
						$tipoc = $row_find["tipoc"];

						$sndto = 0;
						$sndto_reply = 0;

						switch ($tipoc) {
							case 'HUESPED':
								$sndto = 1;
								$sndto_reply = 1;
								break;

							case 'HUESPED_INVITADO':
								$sndto = 2;
								$sndto_reply = 2;
								break;

							case 'PROPIETARIO':
								$sndto = 3;
								$sndto_reply = 3;
								break;
							
							default:
								$sndto = 00;
								break;
						}

 
					  if ($firstDate > $secondDate) {			  


						/*registro de datos en la plataforma de reserva area*/
						$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
						$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
						$ide            = strtoupper(trim($row_find['idocupante']));
						$edad           = $row_find['edad'];
						$codigo_nucleo  = trim($row_find['codigo_nucleo']);
						$user_apto       = $row_find["user_apto"];
						$datime_space = $user_apto;

						$tipoc = $row_find["tipoc"]; 

								$_SESSION['k_name'] = $row['nombres'];	
								$_SESSION['k_ape'] = $row['apellidos'];				
								$_SESSION['k_id'] = $row['idocupante'];				
								$_SESSION['k_access'] = $row['access'];				
								$_SESSION['k_id_table'] = $row['id_table_ocup'];		
								$_SESSION['k_correo'] = $row['email'];
								$_SESSION['k_code'] = $codigo_nucleo;
								$_SESSION['k_code_reserva'] = $row_find["user_apto"];
								$_SESSION['k_edad'] = $row['edad'];
								$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
								$_SESSION['k_user_apto'] = $row_find["user_apto"];

								// acceso de acuerdo al rol
								$_SESSION['k_ocupacion'] = $sndto_reply;

								$iduser = $row['idocupante'];
								$code_reserva = $row_find["user_apto"];
								$user_apto = $row_find["user_apto"];

								$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));

							//acceso
							echo 1; 
							echo "logueado correctamente";
							header('location:../dashboard.php');



						// estadía finalizada por vencimiento de fecha de salida";
					  } else if ($firstDate < $secondDate) {
							// echo "First date is MENOR than the second date";
							
							if ($row_find["tipoc"] == 'PROPIETARIO') {					  									  		

									/*registro de datos en la plataforma de reserva area*/
									$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
									$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
									$ide            = strtoupper(trim($row_find['idocupante']));
									$edad           = $row_find['edad'];
									$codigo_nucleo  = trim($row_find['codigo_nucleo']);
									$user_apto       = $row_find["user_apto"];
									$datime_space = $user_apto;

									$tipoc = $row_find["tipoc"]; 


								    // $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, edad, codigo_nucleo, user_apto)VALUES ('$ide', '$datime_space','$nombres','$apellidos', 1, '$edad', '$codigo_nucleo', '$user_apto');";

							     //   if (!$result_insert = mysqli_query($conexion, $query_insert)) {
							     //   exit(mysqli_error($conexion));
							     //       // registro falló
							     //       $response['status'] = 100;
							     //       $response['message'] = "registro falló";
							     //   exit(); 
							     //   }
							     //   else
							     //   {               
							     //       // registro exitoso
							     //     $response['status'] = 200;
							     //     $response['message'] = "registro exitoso";
							     //   } 

									$_SESSION['k_name'] = $row['nombres'];	
									$_SESSION['k_ape'] = $row['apellidos'];				
									$_SESSION['k_id'] = $row['idocupante'];				
									$_SESSION['k_access'] = $row['access'];				
									$_SESSION['k_id_table'] = $row['id_table_ocup'];		
									$_SESSION['k_correo'] = $row['email'];
									$_SESSION['k_code'] = $row['codigo_nucleo'];
									$_SESSION['k_code_reserva'] = $row['code_reserva'];
									$_SESSION['k_edad'] = $row['edad'];
									$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
									$_SESSION['k_ocupacion'] = $sndto_reply;
									$_SESSION['k_user_apto'] = $row_find["user_apto"]; 

									$iduser = $row['idocupante'];
									$code_reserva = $row_find["user_apto"];
									$user_apto = $row_find["user_apto"];

									$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
	    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));

								//acceso
								echo 1; 
								echo "logueado correctamente";
								header('location:../dashboard.php');

						  	}else{

								// echo "First date is MENOR than the second date";
								// echo "Su estadía ha finalizado! gracias por usar Huésped Manager!";
								echo 5; 
								header('location:../index.php?endstay=yes&sndto='.$sndto_reply);
						  	}

						// se procede a comparar horas
					  } else {
					      // echo "Firsttime and secondtime dates are EQUALx"; 

					      // hora de desactivación
					      $first_time = strtotime("17:00:00");

					      // hora actual en transcurso
					      $second_time = strtotime(date('H:i:s'));


					      // Vencimiento de hora
					      if ($second_time >= $first_time) {
					      	// echo "Hora pasada".date('H:i:s');
					      		
					      		if ($row_find["tipoc"] == 'PROPIETARIO') {					  									  		

										/*registro de datos en la plataforma de reserva area*/
										$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
										$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
										$ide            = strtoupper(trim($row_find['idocupante']));
										$edad           = $row_find['edad'];
										$codigo_nucleo  = trim($row_find['codigo_nucleo']);
										$user_apto       = $row_find["user_apto"];
										$datime_space = $user_apto;

										$tipoc = $row_find["tipoc"]; 


									   // $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, edad, codigo_nucleo, user_apto)VALUES ('$ide', '$datime_space','$nombres','$apellidos', 1, '$edad', '$codigo_nucleo', '$user_apto');";

								    //     if (!$result_insert = mysqli_query($conexion, $query_insert)) {
								    //     exit(mysqli_error());
								    //         // registro falló
								    //         $response['status'] = 100;
								    //         $response['message'] = "registro falló";
								    //     exit(); 
								    //     }
								    //     else
								    //     {               
								    //         // registro exitoso
								    //       $response['status'] = 200;
								    //       $response['message'] = "registro exitoso";
								    //     } 

										$_SESSION['k_name'] = $row['nombres'];	
										$_SESSION['k_ape'] = $row['apellidos'];				
										$_SESSION['k_id'] = $row['idocupante'];				
										$_SESSION['k_access'] = $row['access'];				
										$_SESSION['k_id_table'] = $row['id_table_ocup'];		
										$_SESSION['k_correo'] = $row['email'];
										$_SESSION['k_code'] = $row['codigo_nucleo'];
										$_SESSION['k_code_reserva'] = $row['code_reserva'];
										$_SESSION['k_edad'] = $row['edad'];
										$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
										$_SESSION['k_ocupacion'] = $sndto_reply;
										$_SESSION['k_user_apto'] = $row_find["user_apto"]; 

										$iduser = $row['idocupante'];
										$code_reserva = $row_find["user_apto"];
										$user_apto = $row_find["user_apto"];

										$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
		    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));

									//acceso
									echo 1; 
									echo "logueado correctamente";
									header('location:../dashboard.php');

							  	}else{

									// echo "First date is MENOR than the second date";
									// echo "Su estadía ha finalizado! gracias por usar Huésped Manager!";
									echo 5; 
									header('location:../index.php?endstay=yes&sndto='.$sndto_reply);
							  	}

						  //Hora vigente aún 
					      }else{
							echo "Hora no pasada aún". '17:00:00';

								/*registro de datos en la plataforma de reserva area*/
								$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
								$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
								$ide            = strtoupper(trim($row_find['idocupante']));
								$edad           = $row_find['edad'];
								$codigo_nucleo  = trim($row_find['codigo_nucleo']);
								$user_apto       = $row_find["user_apto"];
								$datime_space = $user_apto;

								$tipoc = $row_find["tipoc"]; 
  

									/*sino tiene email registrado, debe ingersar uno*/
								// 	if($row["email"] == ""){
								// 		echo "rumbo a email";
								// 		$_SESSION['k_temp_name'] = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];	
								// 		$_SESSION['k_temp_ape'] = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];				
								// 		$_SESSION['k_temp_id'] = $row_find['idocupante'];				
								// 		$_SESSION['k_temp_access'] = $sndto;				
								// 		$_SESSION['k_temp_id_table'] = $last_id;		
								// 		$_SESSION['k_temp_correo'] = "";
								// 		$_SESSION['k_temp_code'] = $codigo_nucleo;
								// 		$_SESSION['k_temp_code_reserva'] = $row_find["user_apto"];
								// 		$_SESSION['k_temp_edad'] = $row_find['edad'];
								// 		$_SESSION['k_temp_code_ocupacion'] = $row_find['tipoc'];
								// 		$_SESSION['k_temp_ocupacion'] = $sndto_reply;
								// 		$_SESSION['k_temp_user_apto'] = $row_find["user_apto"];

								// 		header('location:../email.php');
								// 		// header('location:../email.php?id='.$code.'&sndto='.$sndto_reply.'&pname='.$sndto);
								// 	}else{

										$_SESSION['k_name'] = $row['nombres'];	
										$_SESSION['k_ape'] = $row['apellidos'];				
										$_SESSION['k_id'] = $row['idocupante'];				
										$_SESSION['k_access'] = $row['access'];				
										$_SESSION['k_id_table'] = $row['id_table_ocup'];		
										$_SESSION['k_correo'] = $row['email'];
										$_SESSION['k_code'] = $row['codigo_nucleo'];
										$_SESSION['k_code_reserva'] = $row['code_reserva'];
										$_SESSION['k_edad'] = $row['edad'];
										$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
										$_SESSION['k_ocupacion'] = $sndto_reply;
										$_SESSION['k_user_apto'] = $row_find["user_apto"];


										$iduser = $row['idocupante'];
										$code_reserva = $row_find["user_apto"];
										$user_apto = $row_find["user_apto"];

										$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
		    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));


									//acceso
									echo 1; 
									echo "logueado correctamente";
									header('location:../dashboard.php');
								// }

					      }

					  } 
				}else{
					// echo "usuario no existente";
					echo 6;
					header('location:../index.php?noactiv=yes');
					exit;
				}

			} 
 


		 // sino aparecen en usuario_area; que se busque en reserva y luego se cree su información			 
		 }else{	 



		 	            $query_search_id = 'SELECT checkin.id_tabla, checkin.fecha_checkout as fecha_checkout, checkin.fecha_checkin as fecha_checkin, checkin.hora_checkin as hora_checkin, checkin.ocupacion as tipoc, huesped.edad as edad, checkin.id as idocupante, reserva.num_apto as code_reserva, checkin.nombre_uno as nombre_uno, checkin.nombre_dos as nombre_dos, checkin.apellido_uno as apellido_uno, checkin.apellido_dos as apellido_dos, reserva.id_consecutivo as codigo_nucleo, reserva.num_apto as user_apto FROM checkin INNER JOIN reserva on checkin.consecutivo = reserva.id_consecutivo inner join huesped on checkin.id = huesped.id where checkin.id=\''.$code.'\' order by checkin.id_tabla desc limit 1';

					    if (!$result_ide = mysqli_query($conexion, $query_search_id)) {
					        exit(mysqli_error($conexion));
					        echo 3;	
							header('location:../index.php?error=error');
					    } else{ 

		    			// si el usuario existe en checkin
			    		if(mysqli_num_rows($result_ide) > 0) { 
					    	  
				    	$row_find = mysqli_fetch_array($result_ide);

				    	$firstDate = new DateTime($row_find['fecha_checkout']);
						$secondDate = new DateTime(date("Y-m-d"));


						// var_dump($firstDate);
						// echo "<br>";
						// var_dump($secondDate);

						// exit;
						    	
						$tipoc = $row_find["tipoc"];

						$sndto = 0;
						$sndto_reply = 0;

						switch ($tipoc) {
							case 'HUESPED':
								$sndto = 1;
								$sndto_reply = 1;
								break;

							case 'HUESPED_INVITADO':
								$sndto = 2;
								$sndto_reply = 2;
								break;

							case 'PROPIETARIO':
								$sndto = 3;
								$sndto_reply = 3;
								break;
							
							default:
								$sndto = 00;
								break;
						}

 
					  if ($firstDate > $secondDate) {			  


						/*registro de datos en la plataforma de reserva area*/
						$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
						$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
						$ide            = strtoupper(trim($row_find['idocupante']));
						$edad           = $row_find['edad'];
						$codigo_nucleo  = trim($row_find['codigo_nucleo']);
						$user_apto       = $row_find["user_apto"];
						$datime_space = $user_apto;

						$tipoc = $row_find["tipoc"]; 



					    $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, edad, codigo_nucleo, user_apto)VALUES ('$ide', '$datime_space','$nombres','$apellidos', 1, '$edad', '$codigo_nucleo', '$user_apto');";

				        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
				        exit(mysqli_error($conexion));
				            // registro falló
				            $response['status'] = 100;
				            $response['message'] = "registro falló";
				        exit(); 
				        }
				        else
				        {               
				            // registro exitoso
				          $response['status'] = 200;
				          $response['message'] = "registro exitoso";
				        }

 

								$_SESSION['k_name'] = $row['nombres'];	
								$_SESSION['k_ape'] = $row['apellidos'];				
								$_SESSION['k_id'] = $row['idocupante'];				
								$_SESSION['k_access'] = $row['access'];				
								$_SESSION['k_id_table'] = $row['id_table_ocup'];		
								$_SESSION['k_correo'] = $row['email'];
								$_SESSION['k_code'] = $row['codigo_nucleo'];
								$_SESSION['k_code_reserva'] = $row['code_reserva'];
								$_SESSION['k_edad'] = $row['edad'];
								$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
								$_SESSION['k_ocupacion'] = $sndto_reply;
								$_SESSION['k_user_apto'] = $row_find["user_apto"]; 

								$iduser = $row['idocupante'];
								$code_reserva = $row_find["user_apto"];
								$user_apto = $row_find["user_apto"];

								$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));



							//acceso
							echo 1; 
							echo "logueado correctamente";
							header('location:../dashboard.php');
				 

						// estadía finalizada por vencimiento de fecha de salida";
					  } else if ($firstDate < $secondDate) {

					  	if ($row_find["tipoc"] == 'PROPIETARIO') {					  		
							  		

								/*registro de datos en la plataforma de reserva area*/
								$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
								$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
								$ide            = strtoupper(trim($row_find['idocupante']));
								$edad           = $row_find['edad'];
								$codigo_nucleo  = trim($row_find['codigo_nucleo']);
								$user_apto       = $row_find["user_apto"];
								$datime_space = $user_apto;

								$tipoc = $row_find["tipoc"]; 


							 //   $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, edad, codigo_nucleo, user_apto)VALUES ('$ide', '$datime_space','$nombres','$apellidos', 1, '$edad', '$codigo_nucleo', '$user_apto');";

						  //      if (!$result_insert = mysqli_query($conexion, $query_insert)) {
						  //      exit(mysqli_error());
						  //          // registro falló
						  //          $response['status'] = 100;
						  //          $response['message'] = "registro falló";
						  //      exit(); 
						  //      }
						  //      else
						  //      {               
						  //          // registro exitoso
						  //        $response['status'] = 200;
						  //        $response['message'] = "registro exitoso";
						  //      } 

								$_SESSION['k_name'] = $row['nombres'];	
								$_SESSION['k_ape'] = $row['apellidos'];				
								$_SESSION['k_id'] = $row['idocupante'];				
								$_SESSION['k_access'] = $row['access'];				
								$_SESSION['k_id_table'] = $row['id_table_ocup'];		
								$_SESSION['k_correo'] = $row['email'];
								$_SESSION['k_code'] = $row['codigo_nucleo'];
								$_SESSION['k_code_reserva'] = $row['code_reserva'];
								$_SESSION['k_edad'] = $row['edad'];
								$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
								$_SESSION['k_ocupacion'] = $sndto_reply;
								$_SESSION['k_user_apto'] = $row_find["user_apto"]; 

								$iduser = $row['idocupante'];
								$code_reserva = $row_find["user_apto"];
								$user_apto = $row_find["user_apto"];

								$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));

							//acceso
							echo 1; 
							echo "logueado correctamente";
							header('location:../dashboard.php');

					  	}else{

							// echo "First date is MENOR than the second date";
							// echo "Su estadía ha finalizado! gracias por usar Huésped Manager!";
							echo 5; 
							header('location:../index.php?endstay=yes&sndto='.$sndto_reply);

					  	}

						// se procede a comparar horas
					  } else {
					      // echo "Firsttime and secondtime dates are EQUALx"; 

					      // hora de desactivación
					      $first_time = strtotime("17:00:00");

					      // hora actual en transcurso
					      $second_time = strtotime(date('H:i:s'));


					      // Vencimiento de hora
					      if ($second_time >= $first_time) {
					      	// echo "Hora pasada".date('H:i:s');
								
								if ($row_find["tipoc"] == 'PROPIETARIO') {					  									  		

										/*registro de datos en la plataforma de reserva area*/
										$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
										$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
										$ide            = strtoupper(trim($row_find['idocupante']));
										$edad           = $row_find['edad'];
										$codigo_nucleo  = trim($row_find['codigo_nucleo']);
										$user_apto       = $row_find["user_apto"];
										$datime_space = $user_apto;

										$tipoc = $row_find["tipoc"]; 


									   // $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, edad, codigo_nucleo, user_apto)VALUES ('$ide', '$datime_space','$nombres','$apellidos', 1, '$edad', '$codigo_nucleo', '$user_apto');";

								    //     if (!$result_insert = mysqli_query($conexion, $query_insert)) {
								    //     exit(mysqli_error());
								    //         // registro falló
								    //         $response['status'] = 100;
								    //         $response['message'] = "registro falló";
								    //     exit(); 
								    //     }
								    //     else
								    //     {               
								    //         // registro exitoso
								    //       $response['status'] = 200;
								    //       $response['message'] = "registro exitoso";
								    //     } 

										$_SESSION['k_name'] = $row['nombres'];	
										$_SESSION['k_ape'] = $row['apellidos'];				
										$_SESSION['k_id'] = $row['idocupante'];				
										$_SESSION['k_access'] = $row['access'];				
										$_SESSION['k_id_table'] = $row['id_table_ocup'];		
										$_SESSION['k_correo'] = $row['email'];
										$_SESSION['k_code'] = $row['codigo_nucleo'];
										$_SESSION['k_code_reserva'] = $row['code_reserva'];
										$_SESSION['k_edad'] = $row['edad'];
										$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
										$_SESSION['k_ocupacion'] = $sndto_reply;
										$_SESSION['k_user_apto'] = $row_find["user_apto"]; 

										$iduser = $row['idocupante'];
										$code_reserva = $row_find["user_apto"];
										$user_apto = $row_find["user_apto"];

										$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
		    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));

									//acceso
									echo 1; 
									echo "logueado correctamente";
									header('location:../dashboard.php');

							  	}else{

									// echo "First date is MENOR than the second date";
									// echo "Su estadía ha finalizado! gracias por usar Huésped Manager!";
									echo 5; 
									header('location:../index.php?endstay=yes&sndto='.$sndto_reply);
							  	}

						  //Hora vigente aún 
					      }else{
							echo "Hora no pasada aún". '17:00:00';

								/*registro de datos en la plataforma de reserva area*/
								$nombres        = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];
								$apellidos      = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];
								$ide            = strtoupper(trim($row_find['idocupante']));
								$edad           = $row_find['edad'];
								$codigo_nucleo  = trim($row_find['codigo_nucleo']);
								$user_apto       = $row_find["user_apto"];
								$datime_space = $user_apto;

								$tipoc = $row_find["tipoc"]; 



							    $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, edad, codigo_nucleo, user_apto)VALUES ('$ide', '$datime_space','$nombres','$apellidos', 1, '$edad', '$codigo_nucleo', '$user_apto');";

						        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
						        exit(mysqli_error());
						            // registro falló
						            $response['status'] = 100;
						            $response['message'] = "registro falló";
						        exit(); 
						        }
						        else
						        {               
						            // registro exitoso
						          $response['status'] = 200;
						          $response['message'] = "registro exitoso";
						        }

						        $last_id = mysqli_insert_id($conexion);


									/*sino tiene email registrado, debe ingersar uno*/
								// 	if($row["email"] == ""){
								// 		echo "rumbo a email";

								// 		$_SESSION['k_temp_name'] = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];	
								// 		$_SESSION['k_temp_ape'] = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];				
								// 		$_SESSION['k_temp_id'] = $row_find['idocupante'];				
								// 		$_SESSION['k_temp_access'] = $sndto;				
								// 		$_SESSION['k_temp_id_table'] = $last_id;		
								// 		$_SESSION['k_temp_correo'] = "";
								// 		$_SESSION['k_temp_code'] = $codigo_nucleo;
								// 		$_SESSION['k_temp_code_reserva'] = $row_find["user_apto"];
								// 		$_SESSION['k_temp_edad'] = $row_find['edad'];
								// 		$_SESSION['k_temp_code_ocupacion'] = $row_find['tipoc'];
								// 		$_SESSION['k_temp_ocupacion'] = $sndto_reply;
								// 		$_SESSION['k_temp_user_apto'] = $row_find["user_apto"];

								// 		header('location:../email.php');
								// 		// header('location:../email.php?id='.$code.'&sndto='.$sndto_reply.'&pname='.$sndto);
								// 	}else{

										$_SESSION['k_name'] = $row_find['nombre_uno'].' '.$row_find['nombre_dos'];	
										$_SESSION['k_ape'] = $row_find['apellido_uno'].' '.$row_find['apellido_dos'];				
										$_SESSION['k_id'] = $row_find['idocupante'];				
										$_SESSION['k_access'] = $sndto;				
										$_SESSION['k_id_table'] = $last_id;		
										$_SESSION['k_correo'] = "";
										$_SESSION['k_code'] = $codigo_nucleo;
										$_SESSION['k_code_reserva'] = $row_find["user_apto"];
										$_SESSION['k_edad'] = $row_find['edad'];
										$_SESSION['k_code_ocupacion'] = $row_find['tipoc'];
										$_SESSION['k_ocupacion'] = $sndto_reply;
										$_SESSION['k_user_apto'] = $row_find["user_apto"];


										$iduser = $row['idocupante'];
										$code_reserva = $row_find["user_apto"];
										$user_apto = $row_find["user_apto"];

										$sql_up_user ="UPDATE usuario_area Set code_reserva='$code_reserva',  user_apto='$user_apto' Where idocupante = '$iduser'";
		    							$query_update_user = mysqli_query($conexion, $sql_up_user)  or die ('Operación NO efectuada: '.mysqli_error($conexion));

									//acceso
									echo 1; 
									echo "logueado correctamente";
									header('location:../dashboard.php');
								// }

					      }

					  } 
				}else{
					// echo "usuario no existente";
					echo 6;
					header('location:../index.php?noactiv=yes');
					exit;
				}

			} 

			  

		}		

		}//fin condicional boton entrar
		else{
			//codigo vacio
			echo 3;	
			header('location:../index.php?error=error');
		}

	}
	else {
		//Ingreso no permitido//intentando acceder desde otro form
		echo 4;
		header('location:../index.php?error=error');
	}

	mysqli_close($conexion);	       
?>